package main

import (
	"fmt"
	"goopenwechat/conf"
	"goopenwechat/services"
	"os"
)

var Config = &conf.Config{}
var APPPath string

func InitApp() error {
	var e error
	APPPath, e = os.Getwd()
	if e != nil {
		return e
	}

	fmt.Println(APPPath)

	// 读取配置文件
	if err := conf.Load(Config, APPPath+"/conf/app.yml"); err != nil {
		return err
	}

	// 初始化数据库连接
	if err := services.InitDB(Config.DataBase.Conn); err != nil {
		return err
	}

	return nil
}
