package models

import (
	"time"
)

type SysAuthorizerInfo struct {
	UserId          string    `xorm:"not null pk comment('系统ID') VARCHAR(32)"`
	UserName        string    `xorm:"comment('原始 ID') VARCHAR(60)"`
	NickName        string    `xorm:"comment('昵称') TEXT"`
	PrincipalName   string    `xorm:"comment('主体名称') VARCHAR(60)"`
	HeadImg         string    `xorm:"comment('头像') TEXT"`
	ServiceTypeInfo string    `xorm:"comment('公众号/小程序类型') VARCHAR(32)"`
	VerifyTypeInfo  string    `xorm:"comment('认证类型') VARCHAR(32)"`
	QrcodeUrl       string    `xorm:"comment('二维码') TEXT"`
	Signature       string    `xorm:"comment('帐号介绍') VARCHAR(900)"`
	IsMiniapp       int       `xorm:"default 0 comment('是否小程序') INT(1)"`
	Status          int       `xorm:"default 1 comment('状态') INT(11)"`
	CreateDate      time.Time `xorm:"default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
}
